unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Db, DBTables, ExtCtrls, DBCtrls, Grids, DBGrids, StdCtrls;

type
  TForm1 = class(TForm)
    DBGrid1: TDBGrid;
    DBNavigator1: TDBNavigator;
    DataSource1: TDataSource;
    Table1: TTable;
    Edit1: TEdit;
    SetRange: TButton;
    Edit2: TEdit;
    CancelRange: TButton;
    procedure SetRangeClick(Sender: TObject);
    procedure CancelRangeClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.SetRangeClick(Sender: TObject);
begin
  with Table1 do
  begin
    SetRangeStart; { Set the beginning key }
    FieldByName('Name').AsString := Edit1.Text;
    SetRangeEnd; { Set the ending key }
    FieldByName('Name').AsString := Edit2.Text;
    ApplyRange; { Tell the dataset to establish the range }
  end;
end;

procedure TForm1.CancelRangeClick(Sender: TObject);
begin
  Table1.CancelRange;
end;

end.
